---
title: Find invite by email
slug: find-invite-by-email
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/invites/find/?external_email={emailAddress}",
  "name": "Find invite by email",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [
      {
        "kind": "required",
        "name": "external_email",
        "type": "string",
        "children": [],
        "description": "The email address associated with the invite. Emails are not unique in Brella, as there can be multiple invites for the same email address."
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n  \"data\": {\n    \"id\": \"712426\",\n    \"type\": \"invite\",\n    \"attributes\": {\n      \"fill-token\": \"HTSQIU\",\n      \"external-email\": \"testing+invites3075@example.com\",\n      \"external-id\": \"ab13075\",\n      \"external-first-name\": \"John\",\n      \"external-last-name\": \"McTestersson\",\n      \"external-company\": \"Testers 3075\",\n      \"external-title\": \"QA \",\n      \"qr-string\": \"brella_invite_id=712426&brella_invite_token=HTSQIU\",\n      \"created-at\": \"2023-01-24T20:03:26.637Z\",\n      \"updated-at\": \"2023-01-29T18:21:23.759Z\",\n      \"attendee-group-name\": \"Attendees\",\n      \"seat-count\": \"5\",\n      \"free-seat-count\": \"5\"\n    },\n    \"relationships\": {\n      \"attendee-group\": {\n        \"data\": {\n          \"id\": \"11428\",\n          \"type\": \"attendee-group\"\n        }\n      },\n      \"seats\": {\n        \"data\": [\n          {\n            \"id\": \"3583608\",\n            \"type\": \"seat\"\n          },\n          {\n            \"id\": \"3583607\",\n            \"type\": \"seat\"\n          },\n          {\n            \"id\": \"3583606\",\n            \"type\": \"seat\"\n          },\n          {\n            \"id\": \"3583605\",\n            \"type\": \"seat\"\n          },\n          {\n            \"id\": \"3583604\",\n            \"type\": \"seat\"\n          }\n        ]\n      },\n      \"free-seats\": {\n        \"data\": [\n          {\n            \"id\": \"3583608\",\n            \"type\": \"seat\"\n          },\n          {\n            \"id\": \"3583607\",\n            \"type\": \"seat\"\n          },\n          {\n            \"id\": \"3583606\",\n            \"type\": \"seat\"\n          },\n          {\n            \"id\": \"3583605\",\n            \"type\": \"seat\"\n          },\n          {\n            \"id\": \"3583604\",\n            \"type\": \"seat\"\n          }\n        ]\n      },\n      \"question-responses\": {\n        \"data\": []\n      }\n    }\n  },\n  \"included\": [\n    {\n      \"id\": \"3583608\",\n      \"type\": \"seat\",\n      \"attributes\": {\n        \"token\": \"HTSQIU\"\n      },\n      \"relationships\": {\n        \"attendee\": {\n          \"data\": {}\n        }\n      }\n    },\n    {\n      \"id\": \"3583607\",\n      \"type\": \"seat\",\n      \"attributes\": {\n        \"token\": \"HTSQIU\"\n      },\n      \"relationships\": {\n        \"attendee\": {\n          \"data\": {}\n        }\n      }\n    },\n    {\n      \"id\": \"3583606\",\n      \"type\": \"seat\",\n      \"attributes\": {\n        \"token\": \"HTSQIU\"\n      },\n      \"relationships\": {\n        \"attendee\": {\n          \"data\": {}\n        }\n      }\n    },\n    {\n      \"id\": \"3583605\",\n      \"type\": \"seat\",\n      \"attributes\": {\n        \"token\": \"HTSQIU\"\n      },\n      \"relationships\": {\n        \"attendee\": {\n          \"data\": {}\n        }\n      }\n    },\n    {\n      \"id\": \"3583604\",\n      \"type\": \"seat\",\n      \"attributes\": {\n        \"token\": \"HTSQIU\"\n      },\n      \"relationships\": {\n        \"attendee\": {\n          \"data\": {}\n        }\n      }\n    },\n    {\n      \"id\": \"11428\",\n      \"type\": \"attendee-group\",\n      \"attributes\": {\n        \"name\": \"Attendees\",\n        \"attendance-type\": \"virtual\",\n        \"default\": \"true\",\n        \"users-are-deletable\": \"false\",\n        \"created-at\": \"2022-04-13T11:18:36.831Z\",\n        \"updated-at\": \"2022-04-13T11:18:36.831Z\",\n        \"attendees-count\": {}\n      },\n      \"relationships\": {\n        \"attendees\": {\n          \"data\": []\n        }\n      }\n    }\n  ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "F3c6OmtIin7l8FfnPJuUk",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/invites/find/?external_email={emailAddress}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "F3c6OmtIin7l8FfnPJuUk"
  },
  "description": "Find an invite (or many invites) by searching for them by the associated email address",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "find-invite-by-email",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

